%global pypi_name oslo.metrics
%global pkg_name oslo-metrics
%global common_desc \
The OpenStack Oslo Metrics library. \
Oslo metrics API supports collecting metrics data from other Oslo \
libraries and exposing the metrics data to monitoring system.

Summary:        OpenStack Oslo Metrics library
Name:           python-oslo-metrics
Version:        0.5.1
Release:        2%{?dist}
License:        ASL 2.0
URL:            https://opendev.org/openstack/oslo.metrics
Source0:        %{pypi_source}

BuildArch:      noarch

%description
%{common_desc}


%package -n python3-%{pkg_name}
Summary:        OpenStack Oslo Metrics library

BuildRequires:  python3-devel python3-oslo-config python3-oslo-log python3-oslo-utils
BuildRequires:  python3-pbr python3-prometheus_client python3-oslotest
Requires:       python3-oslo-config python3-oslo-log python3-oslo-utils
Requires:       python3-prometheus_client python3-pbr 
Provides:       python3-%{pkg_name}

%description -n python3-%{pkg_name}
%{common_desc}


%prep
%autosetup -n %{pypi_name}-%{version}
rm -rf {test-,}requirements.txt

%build
%{py3_build}

%install
%{py3_install}

%check
%{__python3} setup.py test

%files -n python3-%{pkg_name}
%license LICENSE
%doc README.rst
%{python3_sitelib}/oslo_metrics
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info
%{_bindir}/oslo-metrics


%changelog
* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.5.1-2
- Rebuilt for loongarch release

* Mon Sep 25 2023 kianli <kianli@tencent.com> - 0.5.1-1
- Initial build
